class AddNewAccountRequestModel {
  String porOrgacode = "";
  String email = "";
  String title = "";
  String dmpProdcode = "";
  String channelCode = "";

  AddNewAccountRequestModel({this.porOrgacode = "", this.email = "", this.title = "", this.dmpProdcode = "", this.channelCode = ""});

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': this.porOrgacode,
      'email': this.email,
      'title': this.title,
      'dmpProdcode': this.dmpProdcode,
      'channelCode': this.channelCode,
    };
  }

  factory AddNewAccountRequestModel.fromMap(Map<String, dynamic> map) {
    return AddNewAccountRequestModel(
      porOrgacode: map['porOrgacode'] ?? "",
      email: map['email'] ?? "",
      title: map['title'] ?? "",
      dmpProdcode: map['dmpProdcode'] ?? "",
      channelCode: map['channelCode'] ?? "",
    );
  }

  @override
  String toString() {
    return 'AddNewAccountRequestModel{porOrgacode: $porOrgacode, email: $email, title: $title, dmpProdcode: $dmpProdcode, channelCode: $channelCode}';
  }
}
